require 'studio_game_module/game'

module StudioGameModule
describe Game do

  before do
    @game = Game.new("Knuckleheads")

    @initial_health = 100
    @player = Player.new("moe", @initial_health)

    @game.add_player(@player)
  end

  it "should be healthier if roll dice > =  5" do
    allow_any_instance_of(Die).to receive(:roll).and_return(5)
    @player.health.should == 100
    @game.play(2)
    @player.health.should == 130
  end

  it "should be same health if roll dice > =  3" do
    allow_any_instance_of(Die).to receive(:roll).and_return(3)
    @player.health.should == 100
    @game.play(2)
    @player.health.should == 100
  end

  it "should be healthier if roll dice < =  2" do
    allow_any_instance_of(Die).to receive(:roll).and_return(2)
    @player.health.should == 100
    @game.play(2)
    @player.health.should == 80
  end
  it "assigns a treasure for points during a player's turn" do
    game = Game.new("Knuckleheads")
    player = Player.new("moe")

    game.add_player(player)

    game.play(1)

    player.points.should_not be_zero

    # or use alternate expectation syntax:
    # expect(player.points).not_to be_zero
  end
end
end
